## org.eclipse.datatools.enablement.sybase.asa.base.catalog
Class SybaseASACatalogBaseIndex

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl
                                      org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseIndexImpl
                                          org.eclipse.datatools.enablement.sybase.asa.base.catalog.SybaseASACatalogBaseIndex

All Implemented Interfaces:
  ICatalogObject, SybaseASABaseIndex, Index, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASACatalogBaseIndex

extends SybaseASABaseIndexImpl
implements ICatalogObject

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASACatalogBaseIndex()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`SybaseASABaseDBSpace` `getDbSpace()`
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`org.eclipse.emf.common.util.EList` `getMembers()` Returns the value of the 'Members' containment reference list.
`boolean` `isClustered()` Returns the value of the 'Clustered' attribute.
`boolean` `isUnique()` Returns the value of the 'Unique' attribute.
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseIndexImpl
`basicGetDbSpace, eGet, eIsSet, eSet, eUnset, setDbSpace`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl
`basicGetSchema, basicGetTable, basicSetSchema, basicSetTable, eInverseAdd, eInverseRemove, getFillFactor, getForeignKey, getIncludedMembers, getSchema, getTable, isSystemGenerated, setClustered, setFillFactor, setSchema, setSystemGenerated, setTable, setUnique, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Index
`getFillFactor, getForeignKey, getIncludedMembers, getSchema, getTable, isSystemGenerated, setClustered, setFillFactor, setSchema, setSystemGenerated, setTable, setUnique`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASACatalogBaseIndex

    public SybaseASACatalogBaseIndex()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getMembers

    public org.eclipse.emf.common.util.EList getMembers()

  Description copied from interface: `Index`
  Returns the value of the 'Members' containment reference list. The list contents are of type `IndexMember`.

  If the meaning of the 'Members' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getMembers` in interface `Index`
  Overrides:
    `getMembers` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`
  Returns:
    the value of the 'Members' containment reference list.
  See Also:
    `SQLConstraintsPackage.getIndex_Members()`

### isUnique

    public boolean isUnique()

  Description copied from interface: `Index`
  Returns the value of the 'Unique' attribute. The default value is `"false"`.

  If the meaning of the 'Unique' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isUnique` in interface `Index`
  Overrides:
    `isUnique` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`
  Returns:
    the value of the 'Unique' attribute.
  See Also:
    `Index.setUnique(boolean)`, `SQLConstraintsPackage.getIndex_Unique()`

### isClustered

    public boolean isClustered()

  Description copied from interface: `Index`
  Returns the value of the 'Clustered' attribute. The default value is `"false"`.

  If the meaning of the 'Clustered' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isClustered` in interface `Index`
  Overrides:
    `isClustered` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`
  Returns:
    the value of the 'Clustered' attribute.
  See Also:
    `Index.setClustered(boolean)`, `SQLConstraintsPackage.getIndex_Clustered()`

### getDbSpace

    public SybaseASABaseDBSpace getDbSpace()

  Description copied from class: `SybaseASABaseIndexImpl`

  Specified by:
    `getDbSpace` in interface `SybaseASABaseIndex`
  Overrides:
    `getDbSpace` in class `SybaseASABaseIndexImpl`
  Returns:
    the value of the 'Db Space' reference.
  See Also:
    `SybaseASABaseIndex.setDbSpace(SybaseASABaseDBSpace)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseIndex_DbSpace()`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `SQLObject`
  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDescription` in interface `SQLObject`
  Overrides:
    `getDescription` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `SQLObject.setDescription(String)`, `SQLSchemaPackage.getSQLObject_Description()`